<?php
namespace Teknisa\ATE\Controllers;

use \Zeedhi\Framework\Report\ReportService;
use \Zeedhi\Framework\DTO;

class Ate01300Espelhodelivery extends \Zeedhi\Framework\Controller\Report {

  protected $environment;
  
  public function __construct(ReportService $reportService, $environment) {
    $this->environment = $environment;
    parent::__construct($reportService);
  }
  
  protected $reportMapping = array (
    'ATE01300' =>
    array (
      'strategy' => 'BIRT',
      'parameterMapping' =>
      array (
        "CDFILIAL"     => "CDFILIAL",
        "CDCIA"        => "CDCIA",
        "DTINICIAL"    => "DTINICIAL",
        "DTFINAL"      => "DTFINAL",
        "NRDELIVERY"   => "NRDELIVERY",
        "NRORG"        => "NRORG"
      ),
      'reportName'
    )
  );
  
  public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
    $row = $request->getRow();
    $row['NRORG']  = $this->environment->getNrOrgTrab();
    $row['__report_name'] = $row['REPORTNAME'];
  }
  
}