<?php
namespace Teknisa\ATE\Controllers;

use Zeedhi\Framework\Report\Strategy\BirtStrategy;
use Zeedhi\Framework\Report\ReportService;

class ManutencaoDeliveryReport extends \Zeedhi\Framework\Controller\Report {
    protected $reportService;
    protected $reportMapping = array (
        // Delivery
        'ATE02200' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
                "NRORG"         =>"NRORG",
                "DTHRPLAVOOPV"  =>"DTHRPLAVOOPV",
                "CDFILIAL"      =>"CDFILIAL",
                "CDCIA"         =>"CDCIA",
                "NRVOO"         =>"NRVOO",
                "CDTRECHO"      =>"CDTRECHO",
                "NRDELIVERY"    =>"NRDELIVERY"
            ) 
        ),
        // Delivery sem cabeçalho e rodapé
        'ATE02201' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
                "NRORG"         =>"NRORG",
                "DTHRPLAVOOPV"  =>"DTHRPLAVOOPV",
                "CDFILIAL"      =>"CDFILIAL",
                "CDCIA"         =>"CDCIA",
                "NRVOO"         =>"NRVOO",
                "CDTRECHO"      =>"CDTRECHO",
                "NRDELIVERY"    =>"NRDELIVERY"
            )
        ),
        // Delivery com Refeição
        'ATE02202' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
                "NRORG"         =>"NRORG",
                "DTHRPLAVOOPV"  =>"DTHRPLAVOOPV",
                "CDFILIAL"      =>"CDFILIAL",
                "CDCIA"         =>"CDCIA",
                "NRVOO"         =>"NRVOO",
                "CDTRECHO"      =>"CDTRECHO",
                "NRDELIVERY"    =>"NRDELIVERY"
            )
        ),
        // Emissão de Remito
        'ATE02203' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
                "NRORG"         =>"NRORG",
                "DTHRPLAVOOPV"  =>"DTHRPLAVOOPV",
                "CDFILIAL"      =>"CDFILIAL",
                "CDCIA"         =>"CDCIA",
                "NRVOO"         =>"NRVOO",
                "CDTRECHO"      =>"CDTRECHO",
                "NRDELIVERY"    =>"NRDELIVERY"
            )
        ),
        // Emissão de Guia de Despacho
        'ATE02204' => array (
            'strategy' => 'BIRT',
            'parameterMapping' =>
            array (
                "NRORG"         =>"NRORG",
                "DTHRPLAVOOPV"  =>"DTHRPLAVOOPV",
                "CDFILIAL"      =>"CDFILIAL",
                "CDCIA"         =>"CDCIA",
                "NRVOO"         =>"NRVOO",
                "CDTRECHO"      =>"CDTRECHO",
                "NRDELIVERY"    =>"NRDELIVERY"
            )
        )
    ); 
}