<?php
namespace Teknisa\ATE\Services;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\GER\Utilities\Environment;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO;
use \Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class DescontoRetrobillProcedure extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'APLICA_DESCONTO_ITRETROBILL') {
		parent::__construct($connection, $procedureName);
	}

	public function descontoProcedure($cdfilial, $nrretrobill, $tipo, $valor, $cdoperador, $nrorg) {

		$this->addParam(new Param('P_CDFILIAL', 	Param::PARAM_INPUT,  $cdfilial));
		$this->addParam(new Param('P_NRRETROBILL',  Param::PARAM_INPUT,  $nrretrobill));
		$this->addParam(new Param('P_TIPO', 		Param::PARAM_INPUT,  $tipo));
		$this->addParam(new Param('P_VALOR', 		Param::PARAM_INPUT,  $valor));
		$this->addParam(new Param('P_CDOPERADOR',	Param::PARAM_INPUT,  $cdoperador));
		$this->addParam(new Param('P_NRORG', 		Param::PARAM_INPUT,  $nrorg));
	    
	    $this->execute();
	}
}