<?php
namespace Teknisa\ATE\Services;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\GER\Utilities\Environment;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO;
use \Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class ExportaConfiguracaoEquipamentoProcedure extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'COPIA_ITEMFAT_EQUIP_VIGENCIA') {
		parent::__construct($connection, $procedureName);
	}

	public function copiaItemEquipamento($cdfilial, $cdcia, $equipori, $sequencial, $equipdes, $datavigencia, $cdoperador, $nrorg) {
		$this->addParam(new Param('P_CDFILIAL', 				Param::PARAM_INPUT,  $cdfilial));
		$this->addParam(new Param('P_CDCIA',  					Param::PARAM_INPUT,  $cdcia));
		$this->addParam(new Param('P_CDEQUIPORI', 				Param::PARAM_INPUT,  $equipori));
		$this->addParam(new Param('P_NRSEQPADEQUIPMDATAORI', 	Param::PARAM_INPUT,  $sequencial));
		$this->addParam(new Param('P_CDEQUIPDES',				Param::PARAM_INPUT,  $equipdes));
		$this->addParam(new Param('P_DTINIVIGENCIA',			Param::PARAM_INPUT,  $datavigencia));
		$this->addParam(new Param('P_CDOPERADOR', 				Param::PARAM_INPUT,  $cdoperador));
		$this->addParam(new Param('P_NRORG', 					Param::PARAM_INPUT,  $nrorg));
	    
	    $this->execute();
		$this->params = array();
	}
}