<?php
namespace Teknisa\ATE\Services;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\GER\Utilities\Environment;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO;
use \Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class DeleteRetroBillProcedure extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'APAGA_RETROBILL') {
		parent::__construct($connection, $procedureName);
	}
	
	public function deleteProcedure($cdfilial, $nrretrobill) {
		$this->addParam(new Param('P_CDFILIAL',    Param::PARAM_INPUT,  $cdfilial, Param::PARAM_TYPE_STR));
		$this->addParam(new Param('P_NRRETROBILL', Param::PARAM_INPUT,  $nrretrobill, Param::PARAM_TYPE_INT));
	    $this->execute();
	}
}